Subject: Re: bug#15626: calc prime test fails for numbers > 8 million
From: Jay Belanger <[email-masked]>
To: [email-masked]
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Wed, 16 Oct 2013 22:39:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> On x86_64 GNU/Linux:
>
> emacs -Q -f calc
> 8000000 RET
> k p
>   -> Wrong type argument: listp, 8000000
>
> Any number >= 8000000 (but < math-small-integer-size) fails in this way.
>
> The problem is the
>
>   (% (nth 1 n) 2) 0)
>
> of math-prime-test, which still expects numbers larger than 8000000 to
> be in (bigpos ... ) list format, but the limit is much greater than that
> these days.
>
> The calc manual is likewise outdated:

Thanks; this has been fixed in bzr.
(I should increase the size of math-primes-table when I get the chance,
too.)

> (First reported at
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679753 )

Ack; I never saw this.